> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raul.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a subscription currency

> Operacion: Update a subscription currency.



## OpenAPI

````yaml /generated/specs/operations.json put /api/v1/subscription_currency/update/{currency_id}
openapi: 3.0.0
info:
  title: Raul API - Operaciones
  description: Suscripciones, GPS, actividades, visitas y operacion tecnica.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/v1/subscription_currency/update/{currency_id}:
    put:
      tags:
        - Subscription Currency
      summary: Update a subscription currency
      description: 'Operacion: Update a subscription currency.'
      operationId: SubscriptionCurrencyController_update
      parameters:
        - name: currency_id
          required: true
          in: path
          description: Currency ID
          schema:
            type: number
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateSubscriptionCurrencyDto'
      responses:
        '200':
          description: Currency updated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubscriptionCurrencyResponseDto'
        '404':
          description: Currency not found
      security:
        - bearerAuth: []
components:
  schemas:
    UpdateSubscriptionCurrencyDto:
      type: object
      properties:
        subscription_currency_name:
          type: string
    SubscriptionCurrencyResponseDto:
      type: object
      properties:
        subscription_currency_id:
          type: number
        subscription_currency_name:
          type: string
      required:
        - subscription_currency_id
        - subscription_currency_name
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token authentication

````